### Method

# Json Builder set_member_name

#### Declaration [src]

    JsonBuilder*
    json_builder_set_member_name (
      JsonBuilder* builder,
      const gchar* member_name
    )

#### Description [src]

Sets the name of the member in an object.

This function must be followed by of these functions:

- `json_builder_add_value()`, to add a scalar value to the member
- `json_builder_begin_object()`, to add an object to the member
- `json_builder_begin_array()`, to add an array to the member

This function can only be called within an open object.

#### Parameters

`member_name`

  Type: `const gchar*`

  The name of the member.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `JsonBuilder`

The builder instance.

The data is owned by the instance.
The return value can be `NULL`.